<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>Design View</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">12.3.1</span>&#x00A0;&#x00A0;<a 
 id="x84-11300012.3.1"></a>Design View</h4>
<!--l. 1176--><p class="noindent" >The Design View provides an overview of the tree-structure of the document in the left node
column (<a 
href="#x84-1130012">12.2<!--tex4ht:ref: fig:xml-editor:designview --></a>). The content column on the right side shows the content model of elements, the
values of attributes and text content.
</p><!--l. 1178--><p class="noindent" >Nodes can be opened and closed by clicking the &#8220;+&#8221; or &#8220;-&#8221;&#x00A0;button in front of them. You can
edit the values of attributes, the content of processing instructions and the text-content of
elements by typing directly in the appropriate text-field in the &#8217;Content&#8217; column. You can
change the position of XML objects by left-clicking them permanently, moving the
cursor to the target and stop clicking when the line marking the new position is
highlighted.
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x84-1130012"></a>
                                                                                

                                                                                
<!--l. 1182--><p class="noindent" ><img 
src="xml-designview.png" /><!--tex4ht:graphics  
name="textgrid-manual73x.png" src="xml-designview.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;12.2: </td><td  
class="content">Design View</td></tr></table></div><!--tex4ht:label?: x84-1130012 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<h5 class="subsubsectionHead"><a 
 id="x84-11400012.3.1"></a>Features of the Design View</h5>
<!--l. 1189--><p class="noindent" >The Design View has some special features:
</p>
<!--l. 1191--><p class="noindent" ><span class="paragraphHead"><a 
 id="x84-11500012.3.1"></a><span 
class="cmbx-10x-x-109">Add and Edit DTD Information:</span></span> A DTD can be added by right-clicking an
XML object in the Design View. Enter the name of the root element with which the
DTD should be associated. Add a Public or System ID. If a Public ID is browsed, a
window opens to select an XML catalog entry. The catalog can be specified by key or
URI.
Finish with &#8220;OK&#8221; or &#8220;Cancel&#8221;. If a System ID is browsed, a window opens to specify the
system&#x00A0;ID. Use the radio buttons to choose between a file from the workspace or an XML
catalog entry.
</p><!--l. 1195--><p class="noindent" >To select a file from the workspace use the &#8220;Import files&#8221; button. In the pop-up
window you can select a local directory via the &#8220;Browse&#8221; button. Previously imported
workspace files are suggested. Use <img 
src="expand-all-nodes.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual74x.png" src="expand-all-nodes.eps"  
--> to expand or <img 
src="collapse-all-nodes.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual75x.png" src="collapse-all-nodes.eps"  
--> to collapse all
folders.
</p><!--l. 1197--><p class="noindent" >In a new window you can select the directory by clicking the directory and &#8220;OK&#8221;. Back in the
import Dialog you see the chosen directory in the left column and its content on the right.
Chose all files in the directory by marking the box before the name of the directory or clicking
&#8220;Select All&#8221;. &#8220;Deselect All&#8221; removes all marks in the boxes. To select one file click the box in
front of it. You can use &#8220;Filter Types...&#8221; so that only selected file types are shown. You can
use &#8220;Select All&#8221; or choose file types by clicking the boxes left to them. &#8220;Deselect All&#8221; annuls
your choice.
</p><!--l. 1199--><p class="noindent" >You can use &#8220;Select All&#8221; or choose file types by clicking the boxes on their left. &#8220;Deselect All&#8221;
annuls your choice. Use the field &#8220;Other extensions&#8221; if the document type is not offered. Click
&#8220;OK&#8221;. Afterwards a folder has to be chosen in which the file will be imported. Use &#8220;Browse&#8221;
for this purpose.
</p><!--l. 1201--><p class="noindent" >Optionally you can overwrite existing resources without warning or create a complete folder
structure. In the advanced options you can create links to the workspace. Using this
option will create virtual folders. You can create link locations relative to a selected
                                                                                

                                                                                
reference can be created. Click the red button to cancel the ongoing operation. You
can also import an XML catalog entry after selecting them on the basis of key or
URI.
</p><!--l. 1204--><p class="noindent" >A DTD can be worked on by right-clicking it in the Design View and selecting &#8220;Edit
DOCTYPE...&#8221; The window popp-up up has the same structure as the &#8220;Add DTD
Information&#8221; window. The public or system ID can also be changed by left-clicking the
corresponding field in the content column.
</p>
<!--l. 1206--><p class="noindent" ><span class="paragraphHead"><a 
 id="x84-11600012.3.1"></a><span 
class="cmbx-10x-x-109">Add and Edit Schema Information:</span></span> A namespace can be chosen with the context menu in
the Design View. Select &#8220;Edit Namespaces...&#8221; and the &#8220;Edit Schema Information&#8221; window
opens. The Namespace Declarations consist of a prefix, the namespace name and a location
hint.
Click &#8220;Add&#8221; to continue. In the &#8220;Add Namespace Declarations&#8221; window you can choose
between selecting from a registered namespace or specifying a new one by using the radio
buttons.
</p><!--l. 1210--><p class="noindent" >Select registered namespaces by marking the boxes in front of them and clicking &#8220;OK&#8221;.
Alternatively a new namespace can be specified.
</p><!--l. 1212--><p class="noindent" >The chosen namespace declarations are now shown in the &#8220;Edit Schema Information&#8221; window.
Please click &#8220;Edit...&#8221;. Enter the required prefix and namespace URI for the namespace
declaration. Click &#8220;Browse&#8221; for a location hint. The &#8220;Select File&#8221; window will open. Click
&#8220;OK&#8221; or &#8220;Cancel&#8221; to finish and get back to the &#8220;Add Namespace Declarations&#8221;
window.
</p><!--l. 1214--><p class="noindent" >When the namespace is specified finish the operation with &#8220;OK&#8221;. If no specified namespace
should be added, click &#8220;Cancel&#8221;. This will return you to the &#8220;Edit Schema Information&#8221;
Dialog in which the previously added specified namespace is now visible.
</p><!--l. 1216--><p class="noindent" >Use &#8220;Add&#8221; to enclose further namespaces. Select &#8220;Edit&#8221; to change the particulars of already
added namespaces. Use &#8220;Delete&#8221; to remove them. Finish the Dialog with &#8220;Cancel&#8221; or &#8220;OK&#8221; .
Once added namespaces can be edited by right-clicking them and selecting &#8220;Edit
Namespaces...&#8221; The namespace name can also be changed by left-clicking the corresponding
field in the <a 
href="#x84-11300012.3.1">Design View<!--tex4ht:ref: xml-editor:editor-field:design-view --></a>.
                                                                                

                                                                                
</p>
<!--l. 1218--><p class="noindent" ><span class="paragraphHead"><a 
 id="x84-11700012.3.1"></a><span 
class="cmbx-10x-x-109">Add and Edit Processing Instructions:</span></span> Processing Instructions can be included by
right-clicking the place where it should be added and selecting &#8220;Add Child&#8221;, &#8220;Add Before&#8221; or
&#8220;Add After&#8221; and afterwards &#8220;Add Processing Instruction&#8221;. This is not possible by
right-clicking attributes.
A processing instruction is specified with its target and its data. The Target field is used to
identify the application to which the instruction belongs. The Data field contains the
instructions. Click &#8220;OK&#8221; to add the instruction. An already existing processing instruction can
be worked on after right-clicking it and choosing &#8220;Edit Processing Instruction&#8221;. The
window pop-up has the same format as the &#8220;Add Processing Instruction&#8221; window.
The data can also be changed by left-clicking the corresponding field in the content
column.
</p>
<!--l. 1222--><p class="noindent" ><span class="paragraphHead"><a 
 id="x84-11800012.3.1"></a><span 
class="cmbx-10x-x-109">Add Elements:</span></span> Right-click the element where a new element should be added. Choose if the
new element should be added before or after the right-clicked element or if it should be its
child element. Then click &#8220;New Element...&#8221;. Enter the element&#8217;s name and press
&#8220;OK&#8221;.
</p>
<!--l. 1224--><p class="noindent" ><span class="paragraphHead"><a 
 id="x84-11900012.3.1"></a><span 
class="cmbx-10x-x-109">Add and Edit Attributes:</span></span> Right-click an element and select &#8220;Add Attribute&#8221; and &#8220;New
Attribute&#8221;. Enter the name and the value of the attribute and click &#8220;OK&#8221;. An already existing
attribute in the Design View Editor Field can be worked on after right-clicking it and choosing
&#8220;Edit Attribute&#8221;. The popping-up window has the same structure as the &#8220;Add Attribute&#8221;
window. The value of the attribute can also be changed by left-clicking the corresponding field
in the content column.
</p><!--l. 1226--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x84-12000012.3.1"></a>Context Menu</h5>
                                                                                

                                                                                
     <ul class="itemize1">
     <li class="itemize">To delete an XML object right-click it and select &#8220;Remove&#8221;
     </li>
     <li class="itemize">To insert a DOCTYPE declaration in your document, right-click at any position
     in the Editing View and select &#8220;Add DTD Information&#8221;
     </li>
     <li class="itemize">To add new or edit existing namespaces in the document, right-click at any position
     in the Editing View and select &#8220;Edit Namespaces&#8221;
     </li>
     <li class="itemize">Processing instructions can be edited in a window popp-up after &#8220;Edit Processing
     Instruction&#8221; has been selected
     </li>
     <li class="itemize">To add an element at a certain position relative to an element in the document,
     right-click it and choose one of the elements proposed when selecting &#8220;Add Child&#8221;, &#8220;Add
     Before&#8221; or &#8220;Add After&#8221;
          <ul class="itemize2">
          <li class="itemize">a comment
          </li>
          <li class="itemize">a processing instruction
          </li>
          <li class="itemize">PCDATA
          </li>
          <li class="itemize">a CDATA section
          </li>
          <li class="itemize">a new element</li></ul>
     </li>
     <li class="itemize">You can add attributes to an element by right-clicking it and selecting from the list
     proposed after selecting &#8220;Add Attribute&#8221;
     </li>
     <li class="itemize">To edit attributes, right-click the attribute and select &#8220;Edit Attribute&#8221;</li></ul>
<!--l. 1245--><p class="noindent" >The lists of proposed elements and attributes are provided by Content Assist. Proposals
                                                                                

                                                                                
come from a referenced content model if a schema is specified for the document,
or else through the XML Catalog. This will give you &#8220;smarter&#8221; proposals, such
as specific child element proposals within a given element, or required attribute
proposals.
                                                                                

                                                                                
</p>
<!--l. 1247--><p class="noindent" ><a 
 id="tailtextgrid-manualsu26.html"></a> </p> 
</body></html> 
